Subject: Re: bug#11071: manual fails to point out that C-S-backspace only works with GUIs

From: Glenn Morris <[email-masked]>
Date: Thu, 22 Mar 2012 20:41:21 -0400

Eric Hanchrow wrote:

>     `C-S-backspace'
>          Kill an entire line at once (`kill-whole-line')
>
> However, I don't think it's possible to type `C-S-backspace' when using
> emacs in console mode. 

No, it usually isn't. Ref "Other Character Modifier Bits" in the lispref.

> If I'm right about that, it'd be good if the manual pointed that out

I guess it could mention it.

> -- it'd be even better if Emacs bound kill-whole-line to something
> that _could_ be typed in console mode.

The binding is 9 years old and was extensively discussed at the time.

http://lists.gnu.org/archive/html/emacs-devel/2003-05/msg00667.html

C-a C-k ? ;)